org.apache.avro.mapred

## Class AvroSerialization<T>

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.avro.mapred.AvroSerialization<T>

- All Implemented Interfaces:
    Configurable, Serialization<AvroWrapper<T>>

      public class AvroSerialization<T>
      extends Configured
      implements Serialization<AvroWrapper<T>>

  The `Serialization` used by jobs configured with `AvroJob`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSerialization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Class<?> c)`
    `Deserializer<AvroWrapper<T>>` | `getDeserializer(Class<AvroWrapper<T>> c)` Returns the specified map output deserializer.
    `Serializer<AvroWrapper<T>>` | `getSerializer(Class<AvroWrapper<T>> c)` Returns the specified output serializer.

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroSerialization

          public AvroSerialization()

  - ### Method Detail

    - #### accept

          public boolean accept(Class<?> c)

      Specified by:
        `accept` in interface `Serialization<AvroWrapper<T>>`

    - #### getDeserializer

          public Deserializer<AvroWrapper<T>> getDeserializer(Class<AvroWrapper<T>> c)

      Returns the specified map output deserializer. Defaults to the final output deserializer if no map output schema was specified.
      Specified by:
        `getDeserializer` in interface `Serialization<AvroWrapper<T>>`

    - #### getSerializer

          public Serializer<AvroWrapper<T>> getSerializer(Class<AvroWrapper<T>> c)

      Returns the specified output serializer.
      Specified by:
        `getSerializer` in interface `Serialization<AvroWrapper<T>>`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.